### Hierarchy

- AtomUri

## Index

### Constructors

- constructor

### Properties

- hash
- host
- path
- port
- protocol
- query

### Methods

- toString

## Constructors

### constructor

- new AtomUri(url: string): AtomUri

- - Defined in src/core/AtomUri.ts:11

  #### Parameters

  - ##### url: string

  #### Returns AtomUri

## Properties

### hash

hash: INameValues

- Defined in src/core/AtomUri.ts:8

### host

host: string

- Defined in src/core/AtomUri.ts:10

### path

path: string

- Defined in src/core/AtomUri.ts:6

### port

port: string

- Defined in src/core/AtomUri.ts:11

### protocol

protocol: string

- Defined in src/core/AtomUri.ts:5

### query

query: INameValues

- Defined in src/core/AtomUri.ts:7

## Methods

### toString

- toString(): string

- - Defined in src/core/AtomUri.ts:63

  #### Returns string

Generated using TypeDoc